% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/handleNA.R
\name{handleNA}
\alias{handleNA}
\title{Deal with NAs in the dataset!}
\usage{
handleNA(data, thresh_prop = 0)
}
\arguments{
\item{data}{count data in a sample by feature matrix.}

\item{thresh_prop}{threshold proportion of NAs for removal of feature
or replacing the NA values.}
}
\value{
Returns a list with
     \item{data}{The modified data with NA substitution and removal}
     \item{na_removed_cols}{The columns in the data with NAs that were removed}
     \item{na_sub_cols}{The columns in the data with NAs that were substituted}
}
\description{
This function handles the NA values in the count data.
             If for a feature, the proportion of NAs is greater than
             threshold proportion, then we remove the feature, otherwise
             we use MAR substitution scheme using the distribution of
             the non NA values for the feature. If threshold proportion
             is 0, it implies removal of all features with NA values.
             Default value of threshold proportion is 0.
}
\details{
This function removes NAs from the counts data
}
\examples{
mat <- rbind(c(2,4,NA),c(4,7,8),c(3,NA,NA));
handleNA(mat,thresh_prop=0.5)
handleNA(mat)

}
\keyword{clustering}
\keyword{counts}
\keyword{data,}
